Mumpster
https://mumpster.org/

MUMPS V1.63 on OSX Mavericks
https://mumpster.org/viewtopic.php?f=13&t=1757
Page 1 of 1

Author:  raynewman [ Tue Oct 22, 2013 11:59 pm ]
Post subject:  MUMPS V1.63 on OSX Mavericks

Unfortunately, Apple in their wisdom no longer distribute gcc with OSX. They expect you to use clang which is a bit of a clanger.

To build MUMPS 1.63 on OSX Mavericks, first fetch and install gcc-4.9-bin.tar.gz


Ray Newman

Author:  erixoltan [ Wed Jun 11, 2014 1:47 pm ]
Post subject:  Re: MUMPS V1.63 on OSX Mavericks

I was able to get v1.64 to compile but I had to edit the make file to avoid getting a library error. It is describing itself as "darwin13" now and not just "darwin". It would probably be best to allow it to start with darwin (similar to solaris). In my case I just commented out the lines that weren't needed for OS X.

I also had a problem with shared memory. The following article helped me address it. The article is related to an older system software version but it still helped.

http://support.apple.com/kb/HT4022

Hope this also helps others.

Erik

Page 1 of 1 All times are UTC - 8 hours [ DST ]
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
http://www.phpbb.com/